Package org.bukkit.event.inventory

# Enum Class DragType

java.lang.Object
java.lang.Enum<DragType>
org.bukkit.event.inventory.DragType

All Implemented Interfaces:
  `Serializable`, `Comparable<DragType>`, `Constable`

public enum DragType extends Enum<DragType>
Represents the effect of a drag that will be applied to an Inventory in an InventoryDragEvent.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EVEN`
The cursor is split evenly across all selected slots, not to exceed the Material's max stack size, with the remainder going to the cursor.
`SINGLE`
One item from the cursor is placed in each selected slot.

## Method Summary

Modifier and Type
Method
Description
`static DragType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DragType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SINGLE

public static final DragType SINGLE
One item from the cursor is placed in each selected slot.

### EVEN

public static final DragType EVEN
The cursor is split evenly across all selected slots, not to exceed the Material's max stack size, with the remainder going to the cursor.

## Method Details

### values

public static DragType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DragType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null